Show / Hide Table of Contents

# Class Ref

Utilities to create Ref<T> using type inference.

##### Inheritance

Object
Ref

##### Inherited Members

Object.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: IPA.Utilities

###### Assembly: IPA.Loader.dll

##### Syntax

    public static class Ref

### Methods

| Improve this Doc View Source

#### Create<T>(T)

Creates a Ref<T>.

##### Declaration

    public static Ref<T> Create<T>(T val)

##### Parameters

Type | Name | Description
--- | --- | ---
T | val | the default value.

##### Returns

Type | Description
--- | ---
Ref<T> | the new Ref<T>.

##### Type Parameters

Name | Description
--- | ---
T | the type to reference.